Skip to main content
POST
/
api
/
v3
/
products
Add a product list
curl --request POST \
  --url https://api.artisn.desarrollo-redbrand.com/api/api/v3/products \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "list": {
    "listName": "<string>"
  },
  "modifierGroups": [
    {
      "modifierId": "<string>",
      "modifier": "<string>",
      "minOptions": 123,
      "maxOptions": 123,
      "visible": true,
      "position": 123,
      "type": "<string>",
      "modifierOptions": [
        {
          "optionId": "<string>",
          "productId": "<string>",
          "default": true,
          "position": 123,
          "additionalInfo": {}
        }
      ]
    }
  ],
  "products": [
    {
      "productId": "<string>",
      "name": "<string>",
      "description": "<string>",
      "standardTime": true,
      "featured": true,
      "modifierId": "<string>",
      "taxesInfo": [
        {
          "vatRatePercentage": 123,
          "name": "<string>",
          "type": "<string>"
        }
      ],
      "priceInfo": {
        "price": 123,
        "pointPrice": 123,
        "suggestedPrice": 123,
        "suggestedPointPrice": 123
      },
      "schedules": [
        {
          "startDate": "2023-12-25",
          "endDate": "2023-12-25",
          "startTime": "<string>",
          "endTime": "<string>"
        }
      ],
      "upselling": [
        "<string>"
      ],
      "crossSelling": [
        "<string>"
      ],
      "tags": [
        "<string>"
      ],
      "images": [
        {
          "imageCategoryId": "<string>",
          "fileUrl": "<string>"
        }
      ],
      "productModifiers": [
        {
          "modifierId": "<string>",
          "position": 123
        }
      ],
      "additionalInfo": {}
    }
  ],
  "categories": [
    {
      "categoryId": "<string>",
      "categoryName": "<string>",
      "displayInList": true,
      "featured": true,
      "crossSellingCategory": true,
      "position": 123,
      "images": [
        {
          "imageCategoryId": "<string>",
          "fileUrl": "<string>"
        }
      ],
      "childCategories": [
        {
          "categoryId": "<string>",
          "categoryName": "<string>"
        }
      ],
      "productListing": [
        {
          "productId": "<string>",
          "position": 123
        }
      ],
      "schedules": [
        {
          "day": "<string>",
          "startDate": "<string>",
          "endDate": "<string>",
          "startTime": "<string>",
          "endTime": "<string>"
        }
      ]
    }
  ],
  "ecommerceChannelId": 123,
  "channelReferenceName": "<string>"
}
'
import requests

url = "https://api.artisn.desarrollo-redbrand.com/api/api/v3/products"

payload = {
"list": { "listName": "<string>" },
"modifierGroups": [
{
"modifierId": "<string>",
"modifier": "<string>",
"minOptions": 123,
"maxOptions": 123,
"visible": True,
"position": 123,
"type": "<string>",
"modifierOptions": [
{
"optionId": "<string>",
"productId": "<string>",
"default": True,
"position": 123,
"additionalInfo": {}
}
]
}
],
"products": [
{
"productId": "<string>",
"name": "<string>",
"description": "<string>",
"standardTime": True,
"featured": True,
"modifierId": "<string>",
"taxesInfo": [
{
"vatRatePercentage": 123,
"name": "<string>",
"type": "<string>"
}
],
"priceInfo": {
"price": 123,
"pointPrice": 123,
"suggestedPrice": 123,
"suggestedPointPrice": 123
},
"schedules": [
{
"startDate": "2023-12-25",
"endDate": "2023-12-25",
"startTime": "<string>",
"endTime": "<string>"
}
],
"upselling": ["<string>"],
"crossSelling": ["<string>"],
"tags": ["<string>"],
"images": [
{
"imageCategoryId": "<string>",
"fileUrl": "<string>"
}
],
"productModifiers": [
{
"modifierId": "<string>",
"position": 123
}
],
"additionalInfo": {}
}
],
"categories": [
{
"categoryId": "<string>",
"categoryName": "<string>",
"displayInList": True,
"featured": True,
"crossSellingCategory": True,
"position": 123,
"images": [
{
"imageCategoryId": "<string>",
"fileUrl": "<string>"
}
],
"childCategories": [
{
"categoryId": "<string>",
"categoryName": "<string>"
}
],
"productListing": [
{
"productId": "<string>",
"position": 123
}
],
"schedules": [
{
"day": "<string>",
"startDate": "<string>",
"endDate": "<string>",
"startTime": "<string>",
"endTime": "<string>"
}
]
}
],
"ecommerceChannelId": 123,
"channelReferenceName": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
list: {listName: '<string>'},
modifierGroups: [
{
modifierId: '<string>',
modifier: '<string>',
minOptions: 123,
maxOptions: 123,
visible: true,
position: 123,
type: '<string>',
modifierOptions: [
{
optionId: '<string>',
productId: '<string>',
default: true,
position: 123,
additionalInfo: {}
}
]
}
],
products: [
{
productId: '<string>',
name: '<string>',
description: '<string>',
standardTime: true,
featured: true,
modifierId: '<string>',
taxesInfo: [{vatRatePercentage: 123, name: '<string>', type: '<string>'}],
priceInfo: {price: 123, pointPrice: 123, suggestedPrice: 123, suggestedPointPrice: 123},
schedules: [
{
startDate: '2023-12-25',
endDate: '2023-12-25',
startTime: '<string>',
endTime: '<string>'
}
],
upselling: ['<string>'],
crossSelling: ['<string>'],
tags: ['<string>'],
images: [{imageCategoryId: '<string>', fileUrl: '<string>'}],
productModifiers: [{modifierId: '<string>', position: 123}],
additionalInfo: {}
}
],
categories: [
{
categoryId: '<string>',
categoryName: '<string>',
displayInList: true,
featured: true,
crossSellingCategory: true,
position: 123,
images: [{imageCategoryId: '<string>', fileUrl: '<string>'}],
childCategories: [{categoryId: '<string>', categoryName: '<string>'}],
productListing: [{productId: '<string>', position: 123}],
schedules: [
{
day: '<string>',
startDate: '<string>',
endDate: '<string>',
startTime: '<string>',
endTime: '<string>'
}
]
}
],
ecommerceChannelId: 123,
channelReferenceName: '<string>'
})
};

fetch('https://api.artisn.desarrollo-redbrand.com/api/api/v3/products', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "listId": "<string>",
  "name": "<string>",
  "active": true
}
{
"message": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
list
object

General information of the list where the defined products will be added

modifierGroups
object[]

Allows you to define a list of modifiers that will be used in the list

products
object[]

Allows you to define the products or items, as well as their organization in the list

categories
object[]

Allows you to define product categories as well as their organization in the list

ecommerceChannelId
integer

Unified sales channel identifier, refers to the standardized channel identifier

channelReferenceName
string

Unique reference name, used for search and association of the standardized channel.

Response

List successfully registered

listId
string
name
string
active
boolean